import { css, Style } from 'hono/css';
import { SiteMeta } from '@blog/model/SiteMeta';

const logoClass = css`
  font-size: 16pt;
`;

export function Page({ children, meta }: { children: any, meta: SiteMeta }) {
  return (
    <html lang="en">
      <head>
        <title>davesmithhayes.com</title>
        <Style />
      </head>
      <body>
        <header>
          <div class={logoClass}>davesmithhayes.com</div>
        </header>
        <main>
          {children}
        </main>
        <footer>
          <div class="copyright">&copy; 2024 Dave Smith-Hayes</div>
        </footer>
      </body>
    </html>
  );
}
